Bug 52794 - check libsynthesis and SyncEvolution with Klocwork
Summary: check libsynthesis and SyncEvolution with Klocwork
Status: RESOLVED MOVED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: unspecified
Hardware: All All
: low enhancement
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-13 01:50 UTC by SyncEvolution Community
Modified: 2018-10-13 12:43 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Patrick Ohly 2012-07-29 18:36:00 UTC


---- Reported by jingke.zhang@intel.com 2010-04-13 01:50:38 +0000 ----

This is from http://bugzilla.moblin.org/show_bug.cgi?id=3476

At Intel we have access to the static code analysis tool Klocwork. I found
Klocwork to be very useful. It nicely complements run-time error checking with
valgrind.

There are some concerns that using a closed source tool in an open source
project isn't fair to the community because they don't have access to it. I
agree to some extend: it's not fair to complain to someone about warnings that
he couldn't have found without access to the tool.

Some people reject closed source tools based on principles.

But I think improving the code quality by developing patches with the help of
such a tool is fair game. Synthesis would very much appreciate it if we did
that.

Klocwork works best if integrated into the development process, in other words,
is used regularly. It does produce false positives which have to be identified
once, but only once when reusing the same Klocwork setup.

Perhaps this is something to be integrated into the nightly testing which I
intend to set up on an Intel-internal server.



--- Bug imported by patrick.ohly@gmx.de 2012-07-29 20:36 UTC  ---

This bug was previously known as _bug_ 682 at https://bugs.meego.com/show_bug.cgi?id=682
Comment 1 GitLab Migration User 2018-10-13 12:43:38 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/SyncEvolution/syncevolution/issues/110.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.